org.apache.lucene.index

## Class ExitableDirectoryReader.ExitableFilterAtomicReader

- java.lang.Object
- - org.apache.lucene.index.IndexReader
  - - org.apache.lucene.index.LeafReader
    - - org.apache.lucene.index.FilterLeafReader
      - - org.apache.lucene.index.ExitableDirectoryReader.ExitableFilterAtomicReader

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    ExitableDirectoryReader

      public static class ExitableDirectoryReader.ExitableFilterAtomicReader
      extends FilterLeafReader

  Wrapper class for another FilterAtomicReader. This is used by ExitableSubReaderWrapper.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.FilterLeafReader

      `FilterLeafReader.FilterFields, FilterLeafReader.FilterPostingsEnum, FilterLeafReader.FilterTerms, FilterLeafReader.FilterTermsEnum`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.LeafReader

      `LeafReader.CoreClosedListener`

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader

      `IndexReader.ReaderClosedListener`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilterLeafReader

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExitableFilterAtomicReader(LeafReader in, QueryTimeout queryTimeout)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Fields` | `fields()` Returns `Fields` for this reader.
    `Object` | `getCombinedCoreAndDeletesKey()` Expert: Returns a key for this IndexReader that also includes deletions, so CachingWrapperFilter can find it again.
    `Object` | `getCoreCacheKey()` Expert: Returns a key for this IndexReader, so CachingWrapperFilter can find it again.

    - ### Methods inherited from class org.apache.lucene.index.FilterLeafReader

      `addCoreClosedListener, checkIntegrity, doClose, document, getBinaryDocValues, getDelegate, getDocsWithField, getFieldInfos, getIndexSort, getLiveDocs, getNormValues, getNumericDocValues, getPointValues, getSortedDocValues, getSortedNumericDocValues, getSortedSetDocValues, getTermVectors, maxDoc, numDocs, removeCoreClosedListener, toString, unwrap`

    - ### Methods inherited from class org.apache.lucene.index.LeafReader

      `addCoreClosedListenerAsReaderClosedListener, docFreq, getContext, getDocCount, getSumDocFreq, getSumTotalTermFreq, postings, postings, removeCoreClosedListenerAsReaderClosedListener, terms, totalTermFreq`

    - ### Methods inherited from class org.apache.lucene.index.IndexReader

      `addReaderClosedListener, close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, removeReaderClosedListener, tryIncRef`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExitableFilterAtomicReader

          public ExitableFilterAtomicReader(LeafReader in,
                                            QueryTimeout queryTimeout)

      Constructor

  - ### Method Detail

    - #### fields

          public Fields fields()
                        throws IOException

      Description copied from class: `LeafReader`
      Returns `Fields` for this reader. This method will not return null.
      Overrides:
        `fields` in class `FilterLeafReader`
      Throws:
        `IOException`

    - #### getCoreCacheKey

          public Object getCoreCacheKey()

      Description copied from class: `IndexReader`
      Expert: Returns a key for this IndexReader, so CachingWrapperFilter can find it again. This key must not have equals()/hashCode() methods, so "equals" means "identical".
      Overrides:
        `getCoreCacheKey` in class `IndexReader`

    - #### getCombinedCoreAndDeletesKey

          public Object getCombinedCoreAndDeletesKey()

      Description copied from class: `IndexReader`
      Expert: Returns a key for this IndexReader that also includes deletions, so CachingWrapperFilter can find it again. This key must not have equals()/hashCode() methods, so "equals" means "identical".
      Overrides:
        `getCombinedCoreAndDeletesKey` in class `IndexReader`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.